Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Andrew Morton <[email-masked]>
Date: Tue, 26 May 2015 15:16:02 -0700

On Mon, 25 May 2015 16:03:15 +0200 Andrea Arcangeli <[email-masked]> wrote:

> On Mon, May 25, 2015 at 09:18:01PM +1000, Stephen Rothwell wrote:
> > Hi Andrew,
> > 
> > After merging the akpm-current tree, today's linux-next build (powerpc
> > ppc64_defconfig) failed like this:
> > 
> > __NR_syscalls (364) is not one more than the last syscall (364)
> > 
> > Caused by commit d7766613717b ("userfaultfd: activate syscall").  (BTW,
> > I notice that this patch was not cc'd to any ppc maintainers :-()
> > 
> > I have added this fix patch for today:
> 
> So another option is to just drop the arch/powerpc part of the patch
> from -mm. It's up to you, there's no arch dependent code in the
> syscall though and the config option is not specific to x86 either. I
> enabled the syscall on powerpc in my tree to facilitate the testing so
> the patchset included that change to arch/powerpc, but it would be ok
> to enable the syscall only later upstream, after it has been tested.

Yes, it would be prudent to avoid enabling it until the feature has
been appropriately runtime tested on powerpc.  How's that
tools/testing/selftests/ test harness coming along ;)